*{
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
}

#root{
  min-height: 100vh;
  position: relative;
  overflow-x: hidden;
  -webkit-tap-highlight-color: transparent;
}

.loader{
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

body{
  font-family: 'Raleway', sans-serif;
  background-color: #031926;
  color: #E7E7E7;
  min-height: 100vh;
}

b{
  font-weight: 900;
  color: #9067C6;
}

/* Scrollbar */
::-webkit-scrollbar {
  width: 10px;
  scroll-behavior: smooth;
}
::-webkit-scrollbar-track {
  background: #274656;
  border-radius: 100px;
}
::-webkit-scrollbar-thumb {
  background: #01111a;
  border-radius: 100px;
}

/* Background */
.bg{
  position:fixed;
  z-index: -1;
  bottom: 0px;  
}

.bgtwo{
  position:fixed;
  z-index: -1;
  top: 220px;
}

.bgtemp{
  position:fixed;
  z-index: -1;
  top: -30px;
}


/* NAVBAR */

.Navbar{
  display: flex;
  justify-content: space-between;
  align-items: center;
  
  position: fixed;
  width: 100%;
  z-index: 2;

  height: 70px;
  top: 0;
  transition: all 0.7s;
}

.blur{
  background-color:#01111a8d;
  backdrop-filter: blur( 15px );
  -webkit-backdrop-filter: blur( 20px );
}

.Logo{
  font-size: 32px;
  letter-spacing: 2px;
  padding-left: 7%;
  color: #9067C6;
  display: flex;
  align-items: center;
  text-align: center;
  cursor:pointer;
}

.NavbarLinks{
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-right: 7%;
  font-weight: 500;
  font-size: 22px;
}

.NavbarLinks li{
  padding: 2px 20px;
  list-style-type: none;
}

.NavbarLinks a{
  color: #c2c1c2;
  display:flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
  width: 95%;
  padding: 2px 7px;
  letter-spacing: 0.5px;
  text-decoration: none;
}

.NavbarLinks a:hover{
  color: #ffffff;
}
.NavbarLinks a::after{
  background-color: #ffffff;
  content: "";
  position: absolute;
  height: 3px;
  left: 5px;
  bottom: 0;
  width: 0px;
  border-radius: 2px;
  transition: 0.3s;
}
.NavbarLinks a:hover:after{
  width: 95%;
}
.Hamburger{
  display: none;
}

@media(max-width:800px){
  .Navbar{
    width: 100%;
  }

  .NavbarLinks{
    font-size: 26px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    position: fixed;
    inset: 0 0 0 50%;
    gap: 50px;
    background-color:#431f47;
    height: 100vh;
    padding-top: max(20%,120px);
    transform: translateX(100%);
    transition: 0.5s;
  }

  .showNavbar{
    transform: translateX(0);    
  }

  .Hamburger{
    display: block;
    z-index: 2;
    padding: 5px;
    padding-right: 7%;
    cursor: pointer;
  }

  .bar{
    display: block;
    background-color: #E7E7E7;
    border-radius: 50px;
    height: 2.5px;
    width: 30px;
    margin: 6px;
    transition: 0.5s;
  }
  .barOne{
    rotate: -225deg;
    position: relative;
    top: 4px;
    transition: 0.5s ;
  }
  .barTwo{
    display: none;
  }
  .barThree{
    position: relative;
    bottom: 4px;
    rotate: 225deg;
    transition: 0.5s;
  }
  
}


/* HOME PAGE */

.HomePage{
  display: flex;
  justify-content: space-evenly;
  min-height: 80vh;
  margin-top: 100px;
  margin-bottom: -50px;
  align-items: center;
}
.HomeText h1{
  font-weight: 600;
  font-size: 38px;
  letter-spacing: 0.7px;
  padding-top: 10px;
}

.TypeEffect{
  padding: 25px 0px;
  font-weight: 600;
  font-size: 32px;
  letter-spacing: 0.6px;
}

.illustration{
  width: 400px;
  height: 400px;
}

@media(max-width:900px){
  .HomePage{
    display: block;
    text-align: center;
    margin-top: 150px;
    padding: 25px;
  }
  .HomeText{
    text-align: left;
    display: inline-block;
  }
  .illustration{
    margin: auto;
    margin-bottom: 50px;
  }
}

@media(max-width: 500px) {
  .HomePage{
    min-height: 70vh;
  }
  .NavbarLinks{
    inset: 0 0 0 30%;
  }
  .HomeText h1{
    font-weight: 500;
    font-size: 28px;
  }  
  .TypeEffect{
    font-weight: 500;
    font-size: 24px;
  }
  .illustration{
    width: 300px;
    height: 300px;
    margin-bottom: 0px;
  }
}


/* ABOUT */

.AboutPage{
  display: flex;
  justify-content: space-evenly;
  min-height: 80vh;
  margin-top: 100px;
  align-items: center;
  padding: 25px;
}

.AboutText{
  width: 50%;
  font-weight: 500;
  font-size: 20px;
  line-height: 30px;
  letter-spacing: 1.2px;
}
.AboutTextHeading{
  font-size: 35px;
  font-weight: 600;
  padding-bottom: 40px;
}
.AboutText a{
  color: #9067C6;
  text-decoration: underline;
  font-weight: bold;
}

.Avatar{
  width: 280px;
}

@media(max-width:900px){
  .AboutPage{
    display: block;
    text-align: center;
    padding: 30px;    
  }
  .AboutText{
    text-align: left;
    display: inline-block;
    width: 95%;
    line-height: 24px;
    letter-spacing: 0.6px;
    margin-bottom: 80px;
  }
  .AboutTextHeading{
    font-size: 26px;
  }

  .Avatar{
    width: 200px;
    margin-bottom: 75px;
  }
}


/* Skills section */
.skillsBUT{
  display: flex;
  justify-content: center;
  margin: 50px 10%;
}

.skills{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 50px 10%;
}

.SkillText {
  font-size: 25px;
  color: #ffffff;
}

.SkillBox{
  width: max(15%,150px);
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0px 25px 25px 0px;
  border: 3px solid #431f47;
  font-size: 64px;
  border-radius: 5px;
  transition: 0.5s;
  flex-direction: column;
}
.SkillBox:hover{
  transform: scale(1.2);
  box-shadow: 0 2px 8px 0 #431f47;
}

.SkillBox.realiser:hover {
  background-color: #B80905;
  box-shadow: 0 2px 8px 0 #B80905;
  cursor: pointer;
}
.SkillBox.optimiser:hover {
  background-color: #ED8C51;
  box-shadow: 0 2px 8px 0 #ED8C51;
  cursor: pointer;
}
.SkillBox.administrer:hover {
  background-color: #EFBA11;
  box-shadow: 0 2px 8px 0 #EFBA11;
  cursor: pointer;
}
.SkillBox.gerer:hover {
  background-color: #8CC850;
  box-shadow: 0 2px 8px 0 #8CC850;
  cursor: pointer;
}
.SkillBox.conduire:hover {
  background-color: #0A215E;
  box-shadow: 0 2px 8px 0 #0A215E;
  cursor: pointer;
}
.SkillBox.collaborer:hover {
  background-color: #0F0F0F;
  box-shadow: 0 2px 8px 0 #0F0F0F;
  cursor: pointer;
}

.HelpBlock_p{
  width: max(40%,150px);
  height: max(200px);
  justify-content: space-around;
  display: flex;
  justify-items: center;
  margin: auto;
  padding: 15px;
  border: 2px solid #431f47;
  border-radius: 5px;
  transition: 0.5s;
}


.HelpBlock {
width: max(40%,150px);
  height: max(200px);
  display: grid;
  justify-items: center;
  align-items: center;
  margin: auto;
  padding: 15px;
  border: 2px solid #431f47;
  border-radius: 5px;
  transition: 0.5s;
}

.HelpBlock h2 {
  margin-bottom: 10px;
}

.ContentContainer {
  display: flex;
  align-items: center;
  margin-top: 8px;
}

.ContentContainer img {
  width: 40px;
  margin-right: 8px;
}

.ContentContainer p {
  font-size: 14px;
}

.HelpBlock ul {
  padding-left: 10px;
}

.HelpBlock li {
  margin-bottom: 15px;
}

.img_skill{
    width: 200px;
    height: 170px;
  margin: auto;
}

.p_block {
  display: flex;
}

.SkillButton {
  padding: 5px 10px;
  margin-top: 7px;
  background-color: #431f47;
  color: #ffffff;
  border: none;
  border-radius: 3px;
  cursor: pointer;
}

.SkillButton:hover {
  background-color: #5c2e5c;
  cursor: pointer;
}

.SkillsBUT{
  text-align: center;
  margin-top: 200px;
  font-size: 36px;
  letter-spacing: 0.6px;
}

.SkillsHeading{
  text-align: center;
  margin-top: 100px;
  font-size: 36px;
  letter-spacing: 0.6px;
}

@media(max-width: 500px) {
  .AboutText{
    font-size: 16px;
  }
  .Avatar{
    width: 200px;
    margin-bottom: 25px;
  }

  .SkillsHeading{
    font-size: 26px;
  }
  .SkillBox{
    width: 100px;
    height: 100px;
    font-size: 50px;
  }
}


/* Project */

.projectHeading{
  text-align: center;
  padding: 75px 0;
  letter-spacing: 0.4px;
  font-size: 36px;
  margin-top: 100px;
}

.project{
  display: flex;
  justify-content: center;
  margin: 25px 5%;
}

.projectBox{
  width: 350px;
  border: 3px solid #431f47;
  border-radius: 5px;
  text-align: center;
  padding: 15px;
  letter-spacing: 0.5px;
  font-size: 18px;
  line-height: 22px;
  
  margin: 0px 25px 50px 25px;
  transition: 0.5s;
}
.projectBox:hover{
  transform: scale(1.05);
  box-shadow: 0 4px 10px 0 #431f47;
}

.projectPhoto{
  display: block;
  width: 100%;
  margin: 20px 0px;
}

.projectbtn{
  font-size: 20px;
  display: inline-flex;
  align-items: center;
  justify-content: space-evenly;
  width: 40%;
  margin: 25px 3% 0;
  border-radius: 5px;
  background-color: #431f47;
  color: #E7E7E7;
  height: 30px;
  cursor:pointer;
  text-decoration: none;
  border-style: none;
}

.block_skill{
    display: flex;
    justify-content: center;
    margin: 50px 10%;

}


/* Resume */

.ResumePage{
  padding-top: 50px;
  width: fit-content;
  position: relative;
  margin: 100px auto 0px;
  text-align: center;
}

.resumeview{
  pointer-events: none;
}

.downloadCV{
  cursor:pointer;
  margin: 25px 0px;
  width: 200px;
  height: 40px;
  background-color:#431f47;
  color: #E7E7E7;
  text-decoration: none;
  border-radius: 5px;
  border-style: none; 
  transition: all 0.5s;
}

.downloadCV:hover{
  transition: all 0.5s;
  background-color: #E7E7E7;
  color: #431f47;
}


/* FOOTER */

footer{
  width: 90%;
  height: 40px;
  margin: 10px auto;
  margin-top: 80px;
  letter-spacing: 0.5px;
  
  display:flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
  
  position: relative;
  bottom: 0px;
  text-align: center;
}

footer h4{
  margin: 0 25px;
  font-weight: 500;
}

.footerLinks{
  display: flex;
  width: 180px;
  font-size: 18px;
  justify-content: space-evenly;
}

.footerLinks a{ 
  text-decoration: none;
  color: inherit;
}

@media(max-width:750px){
  footer{
    height: 110px;
  }
}
